<template>
  <button :class="[
    {'round':$attrs.hasOwnProperty('round')},
    {'slim':$attrs.hasOwnProperty('slim')},
    {'square':$attrs.hasOwnProperty('square')},
    {'gray':$attrs.hasOwnProperty('gray')},
    {'white':$attrs.hasOwnProperty('white')},
  ]">
    <slot>Button</slot>
  </button>
</template>

<style lang="scss" scoped>
  button {
    cursor: pointer;
    border: none;
    padding: 0px 30px;
    min-height: 52px;
    min-width: 52px;
    background: black;
    border-radius: 900px;
    color: white;
    font-size: 20px;
    transition: .2s;

    &:enabled:hover{
      transform: translateY(-1px);
    }

    &:enabled:active{
      transform: translateY(3px);
    }

    &:disabled{
      cursor: not-allowed;
    }
  }

  .round{
    padding: 0;
    height: 52px;
    width: 52px;
  }

  .square{
    min-width: 44px;
    min-height: 44px;
    font-size: 16px;
    width: 44px;
    height: 44px;
    padding: 0;
    border-radius: 14px;
    margin-right: 10px;
  }

  .slim{
    min-width: 32px;
    min-height: 32px;
    width: 32px;
    height: 32px;
  }

  .gray{
    background: var(--light-gray);
    color: var(--black);
  }
</style>